import request from '@/utils/request'

export function index(params){
  return request({
    method:'get',
    url:'/api/admin/course/index',
    params
  })
}

export function show(params){
  return request({
    method:'get',
    url:'/api/admin/course/show',
    params
  })
}

export function save(data){
  return request({
    method:'post',
    url:'/api/admin/course/save',
    data
  })
}

export function store(data){
  return request({
    method:'post',
    url:'/api/admin/course/store',
    data
  })
}

export function destroy(data){
  return request({
    method:'post',
    url:'/api/admin/course/destroy',
    data
  })
}

export function delCourseItem(params){
  return request({
    method:'post',
    url:'/api/admin/course/destroy-item',
    params
  })
}
